.welcome_main {
  flex-flow: column;
  justify-content: center;
  align-items: stretch;
  width: 100%;
  height: 100svh;
  display: flex;
  overflow: clip;
}

.welcome_section {
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  padding: 1rem;
  display: flex;
  position: relative;
  overflow: hidden;
}

.welcome_body {
  background-color: #5d3e8a;
}

.logo_wrapper {
  width: 12rem;
}

.bottom_empty_element {
  width: 16rem;
  height: 4rem;
}

.main_content {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  color: #fafafa;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
  position: relative;
}

.main_heading {
  text-align: center;
  margin-top: 0;
  margin-bottom: .5rem;
}

.main_text {
  text-align: center;
  max-width: 60ch;
  margin-bottom: 0;
  font-size: 18px;
  line-height: 1.2em;
}

.social_wrapper {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  justify-content: flex-start;
  align-items: center;
  display: flex;
  margin-top: 2rem;
}

.social_text {
  font-family: Varela Round, sans-serif;
  font-size: 20px;
  font-weight: 400;
  line-height: 1.2em;
  display: flex;
}

.social_icons {
  grid-column-gap: 1rem;
  grid-row-gap: 1rem;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.social_icon {
  transition: all .2s;
}

.social_icon:hover {
  transform: translate(0, -2px);
}

.icon {
  width: 1.5rem;
  height: 1.5rem;
}

.icon.error {
  width: 1rem;
  height: 1rem;
}

.main_form {
  background-color: #fff;
  border-radius: .75rem;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  min-width: 38rem;
  margin-top: 1rem;
  margin-bottom: 2rem;
  padding: 1rem;
  display: flex;
  box-shadow: 0 2px 5px #0003;
}

.form_wrapper {
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.input_field {
  color: #5d3f8a;
  border-radius: .625rem;
  width: 22.625rem;
  height: 3rem;
  margin-bottom: 0;
}

.input_field:hover {
  border: 1px solid #5d3f8a80;
}

.input_field:active, .input_field:focus, .input_field:focus-visible, .input_field[data-wf-focus-visible] {
  border: 1.5px solid #5d3f8a;
}

.form_btn {
  background-color: #5d3e8a;
  background-image: linear-gradient(#db599c33, #db599c1a 47%, #db599c00);
  border-radius: .625rem;
  width: 12rem;
  height: 3rem;
  margin-left: 1rem;
  margin-right: 0;
  transition: all .4s;
  box-shadow: 0 2px 5px #0003;
}

.form_btn:hover {
  background-image: linear-gradient(#db599c00, #db599c1a 47%, #db599c33);
}

.success_message {
  color: #000;
  background-color: #ddd0;
  padding: 0;
}

.error_message {
  color: #b01111;
  background-color: #ffe5e5;
  border-bottom: 2px solid #ffa3a3;
  border-radius: .625rem;
  width: 100%;
}

.success_text {
  justify-content: center;
  align-items: center;
  height: 3rem;
  display: flex;
}

.error_wrapper {
  grid-column-gap: .5rem;
  grid-row-gap: .5rem;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

.house_wrapper {
  width: 64rem;
  position: absolute;
}

.house_wrapper.is-1 {
  z-index: -1;
  inset: auto auto -100% -150%;
  transform: rotate(20deg);
}

.house_wrapper.is-2 {
  z-index: -1;
  width: 26rem;
  inset: auto -70% -170% auto;
  transform: rotate(-15deg);
}

.house_wrapper.is-3 {
  z-index: -1;
  width: 17rem;
  inset: -180% -32% auto auto;
  transform: rotate(-144deg);
}

.house {
  width: 100%;
  height: 100%;
}

.utility-page-wrap {
  color: #fff;
  justify-content: center;
  align-items: center;
  width: 100vw;
  max-width: 100%;
  height: 100vh;
  max-height: 100%;
  display: flex;
}

.utility-page-content {
  text-align: center;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  display: flex;
}

._404_btn {
  color: #5c3e88;
  background-color: #fff;
  background-image: linear-gradient(#db599c33, #db599c1a 47%, #db599c00);
  border-radius: .625rem;
  transition: all .4s;
  box-shadow: 0 2px 5px #0003;
}

._404_btn:hover {
  color: #5d3f8a;
  background-image: linear-gradient(#db599c00, #db599c1a 47%, #db599c33);
}

._404_button {
  color: #5d3f8a;
  background-color: #fff;
  border-radius: .625rem;
  margin-top: 1rem;
  padding-left: 32px;
  padding-right: 32px;
  font-family: Open Sans, sans-serif;
  font-weight: 600;
}

@media screen and (max-width: 991px) {
  .logo_wrapper {
    width: 10rem;
  }

  .bottom_empty_element {
    width: 14rem;
  }

  .house_wrapper.is-1 {
    left: -130%;
  }

  .house_wrapper.is-2 {
    display: none;
  }

  .house_wrapper.is-3 {
    display: none;
  }

  ._404_heading {
    font-size: 26px;
  }
}

@media screen and (max-width: 767px) {
  .welcome_section {
    padding-top: 0;
  }

  .logo_wrapper {
    width: 8rem;
  }

  .bottom_empty_element {
    width: 12rem;
    height: 1rem;
  }

  .main_content {
    width: 100%;
  }

  .main_text {
    width: 100%;
    font-size: 16px;
  }

  .social_wrapper {
    flex-flow: column;
  }

  .social_text {
    text-align: center;
    font-size: 16px;
  }

  .social_icons {
    grid-column-gap: 1.5rem;
    grid-row-gap: 1.5rem;
  }

  .main_form {
    width: 100%;
    min-width: 0;
    padding: .75rem;
  }

  .form_wrapper {
    grid-column-gap: .75rem;
    grid-row-gap: .75rem;
    flex-flow: column;
    width: 100%;
  }

  .input_field {
    width: 100%;
    height: 2.5rem;
  }

  .form_btn {
    width: 100%;
    height: 2.5rem;
    margin-left: 0;
  }

  .house_wrapper.is-1 {
    width: 37.5rem;
    left: -40%;
  }

  .house_wrapper.is-2 {
    width: 20rem;
    bottom: 37%;
    right: -28%;
    transform: rotate(0);
  }

  .house_wrapper.is-3 {
    width: 15rem;
    inset: -59% auto auto -22%;
    transform: rotate(139deg);
  }

  ._404_btn {
    width: 100%;
    height: 2.5rem;
    margin-left: 0;
  }

  ._404_heading {
    font-size: 24px;
  }
}

@media screen and (max-width: 479px) {
  .welcome_section {
    padding-top: 0;
  }

  .logo_wrapper {
    width: 8rem;
  }

  .bottom_empty_element {
    width: 10rem;
    height: 1rem;
  }

  .house_wrapper.is-1 {
    width: 34rem;
    bottom: -60%;
    left: -50%;
  }

  .house_wrapper.is-2 {
    width: 10rem;
    bottom: 74%;
    right: -23%;
  }

  .house_wrapper.is-3 {
    width: 10rem;
    top: -36%;
    left: -30%;
  }
}


